## konsole 4.8.4

=== CMakeLists.txt ===
project(Konsole)

find_package(KDE4 4.6.40 REQUIRED)

include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=1211)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

KDE4_NO_ENABLE_FINAL(konsole)

add_subdirectory( src ) 
add_subdirectory( data ) 
add_subdirectory( desktop )
add_subdirectory( doc/manual )

macro_display_feature_log()

=== desktop/CMakeLists.txt ===


########### install files ###############

# quick-access-konsole.desktop is not installed at this time because 
# the feature is not polished enough to include

install( PROGRAMS konsole.desktop DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES terminalemulator.desktop  DESTINATION  ${SERVICETYPES_INSTALL_DIR} )
install( FILES konsolepart.desktop DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES konsolehere.desktop  DESTINATION
${SERVICES_INSTALL_DIR}/ServiceMenus )
install( FILES konsole.notifyrc konsoleui.rc sessionui.rc partui.rc DESTINATION  ${DATA_INSTALL_DIR}/konsole )

=== src/CMakeLists.txt ===
find_package(LibKonq)
macro_log_feature(LIBKONQ_FOUND "LibKonq" "libkonq is a construction kit for a file manager. It comes from kde-baseapps." "http://www.kde.org" TRUE)

if(LIBKONQ_FOUND)
  include_directories(${LIBKONQ_INCLUDE_DIR})
endif()

### Compile-time features
macro_optional_find_package(XKB)
macro_bool_to_01(X11_Xrender_FOUND HAVE_XRENDER)
macro_log_feature(XKB_FOUND "XKB" "X keyboard extension" "http://www.x.org" FALSE "" "Gives Konsole better keyboard support.")

include(CheckIncludeFiles)
check_include_files("sys/proc.h"      HAVE_SYS_PROC_H)
check_include_files("sys/proc_info.h" HAVE_SYS_PROC_INFO_H)

if (APPLE OR OSF)
    SET(HAVE_AVOID_XKB TRUE)
endif (APPLE OR OSF)

macro_bool_to_01(HAVE_AVOID_XKB AVOID_XKB)

configure_file (config-konsole.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-konsole.h )

############### Load the CTest options ###############
# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(tests/CTestCustom.cmake
${CMAKE_CURRENT_BINARY_DIR}/tests/CTestCustom.cmake)


### Tests
    add_subdirectory(tests)

### Font Embedder

    set(fontembedder_SRCS fontembedder.cpp )
    kde4_add_executable(fontembedder ${fontembedder_SRCS})
    target_link_libraries(fontembedder  ${KDE4_KIO_LIBS} )

### Line graphics font

    option(KONSOLE_GENERATE_LINEFONT "Konsole: regenerate LineFont file" OFF)

    if(KONSOLE_GENERATE_LINEFONT)
	    add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/LineFont.h
                           COMMAND ${CMAKE_CURRENT_BINARY_DIR}/fontembedder
                           ARGS ${CMAKE_SOURCE_DIR}/LineFont.src
                           DEPENDS ${CMAKE_SOURCE_DIR}/LineFont.src )
    endif(KONSOLE_GENERATE_LINEFONT)

### Konsole source files shared between embedded terminal and main application
    # qdbuscpp2xml -m  Session.h -o org.kde.konsole.Session.xml
    # qdbuscpp2xml -M -s ViewManager.h -o org.kde.konsole.Konsole.xml

    # Generate dbus .xml files; do not store .xml in source folder
    qt4_generate_dbus_interface( Session.h org.kde.konsole.Session.xml OPTIONS
 -m)
    qt4_generate_dbus_interface( ViewManager.h org.kde.konsole.Konsole.xml OPTIONS -s -M)

    qt4_add_dbus_adaptor( sessionadaptors_SRCS
                          ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Session.xml
                          Session.h
                          Konsole::Session )
    qt4_add_dbus_adaptor( konsoleadaptors_SRCS 
                          ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Konsole.xml 
                          ViewManager.h 
                          Konsole::ViewManager )


    set(konsoleprivate_SRCS
        ${sessionadaptors_SRCS}
        ${konsoleadaptors_SRCS}
        #BlockArray.cpp
        BookmarkHandler.cpp
        ColorScheme.cpp
        ColorSchemeEditor.cpp
        CopyInputDialog.cpp
        EditProfileDialog.cpp
        Emulation.cpp
        Filter.cpp
        History.cpp
        HistorySizeDialog.cpp
        IncrementalSearchBar.cpp
        KeyBindingEditor.cpp
        KeyboardTranslator.cpp
        ManageProfilesDialog.cpp
        ProcessInfo.cpp
        Profile.cpp
        ProfileList.cpp
        Pty.cpp
        RenameTabsDialog.cpp
        Screen.cpp
        ScreenWindow.cpp
        Session.cpp
        SessionController.cpp
        SessionManager.cpp
        ShellCommand.cpp
        TabTitleFormatAction.cpp
        TerminalCharacterDecoder.cpp
        TerminalDisplay.cpp
        ViewContainer.cpp
        ViewManager.cpp
        ViewProperties.cpp
        ViewSplitter.cpp
        Vt102Emulation.cpp
        WarningBox.cpp
        XKB.cpp
        ZModemDialog.cpp
        konsole_wcwidth.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Konsole.xml
        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.konsole.Session.xml
    )

    set(konsole_LIBS
        ${KDE4_KPTY_LIBRARY}
        ${KDE4_KIO_LIBS}
        ${QT_QTXML_LIBRARY}
        ${KDE4_KNOTIFYCONFIG_LIBRARY}
        ${X11_LIBRARIES}
        ${LIBKONQ_LIBRARY}
    )

    # XRender library for true transparency support
    if(X11_Xrender_FOUND)
        list(APPEND konsole_LIBS ${X11_Xrender_LIB})
    endif(X11_Xrender_FOUND)

# doesn't seem to be needed
#    if(X11_XTest_FOUND)
#        list(APPEND konsole_LIBS ${X11_XTest_LIB})
#    endif(X11_XTest_FOUND)

### Konsole Application

    kde4_add_ui_files(konsoleprivate_SRCS
                  ColorSchemeEditor.ui
                  CopyInputDialog.ui
                  EditProfileDialog.ui
                  KeyBindingEditor.ui
                  ManageProfilesDialog.ui
                  RenameTabsDialog.ui
                 )

    kde4_add_library(konsoleprivate SHARED ${konsoleprivate_SRCS})
    target_link_libraries(konsoleprivate ${konsole_LIBS})
    target_link_libraries(konsoleprivate LINK_INTERFACE_LIBRARIES ${konsole_LIBS})

    set(konsole_KDEINIT_SRCS
        Application.cpp
        MainWindow.cpp
        main.cpp
    )

    kde4_add_app_icon(konsole_KDEINIT_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/apps/utilities-terminal.png")

    kde4_add_kdeinit_executable( konsole ${konsole_KDEINIT_SRCS})
    target_link_libraries(kdeinit_konsole konsoleprivate)

    install(TARGETS kdeinit_konsole konsole konsoleprivate ${INSTALL_TARGETS_DEFAULT_ARGS})

### Embedded Konsole KPart

    set(konsolepart_PART_SRCS
      ${konsole_COMMON_SRCS}
      Part.cpp
   )

    kde4_add_plugin(konsolepart WITH_PREFIX ${konsolepart_PART_SRCS})
    set_target_properties(konsolepart PROPERTIES DEFINE_SYMBOL KONSOLE_PART)
    target_link_libraries(konsolepart ${KDE4_KPARTS_LIBS} konsoleprivate)
    install(TARGETS konsolepart  DESTINATION ${PLUGIN_INSTALL_DIR} )

### konsoleprofile command-line tool

    install(FILES konsoleprofile PERMISSIONS OWNER_READ
                                         OWNER_WRITE
                                         OWNER_EXECUTE
                                         GROUP_EXECUTE
                                         GROUP_READ
                                         WORLD_READ
                                         WORLD_EXECUTE DESTINATION ${BIN_INSTALL_DIR})

=== data/color-schemes/CMakeLists.txt ===
# Note some color schemes are deliberately not installed
# at present

install( FILES 
         BlackOnLightYellow.schema
         BlackOnRandomLight.colorscheme 
         BlackOnWhite.schema  	
         GreenOnBlack.colorscheme 
         WhiteOnBlack.schema  	
         Linux.colorscheme
         DarkPastels.colorscheme
         Solarized.colorscheme
         DESTINATION 
         ${DATA_INSTALL_DIR}/konsole )

## konsole 4.7.1

=== debian/changelog ===
konsole (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 01:01:47 +0200

konsole (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Thu, 08 Sep 2011 13:18:47 -0400

konsole (4:4.7.0-0ubuntu1) oneiric; urgency=low

  [ Jonathan Thomas ]
  * New upstream release

  [ Felix Geyer ]
  * Fix dependency from konsole-dbg on konsole.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 29 Jul 2011 11:21:21 +0200

konsole (4:4.6.90+repack-0ubuntu1) oneiric; urgency=low

  * New upstream release candidate 
    - update for split packaging
  * Repack upstream tar to include COPYING files

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 08 Jul 2011 12:41:10 +0200

=== debian/control ===
Source: konsole
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6.3), libphonon-dev (>= 4:4.3.0)
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole

Package: konsole
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-terminal-emulator
Description: X terminal emulator
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package is part of the KDE base applications module.

Package: konsole-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, konsole (= ${binary:Version})
Breaks: kdebase-dbg (<< 4:4.6.80)
Replaces: kdebase-dbg (<< 4:4.6.80)
Description: debugging symbols for the KDE X terminal emulator
 This package contains debugging files used to investigate problems with
 binaries included in the KDE X terminal emulator.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=konsole-dbg

## konsole 4.7.2

=== debian/changelog ===
konsole (4:4.7.2-1) experimental; urgency=low

  [ Eshat Cakar ]
  * Initial release. Start from the Ubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:46:16 -0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: konsole
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
+ Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.6.3), libphonon-dev (>= 4:4.3.0)
+ kdelibs5-dev (>= 4:4.7), libphonon-dev (>= 4:4.3.0),
+ libxkbfile-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/konsole.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/konsole.git
 
 Package: konsole
 Architecture: any

## konsole 4.7.4

=== debian/changelog ===
konsole (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 06 Mar 2012 11:47:50 +0100

konsole (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:36:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
  Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.7), libphonon-dev (>= 4:4.3.0),
  libxkbfile-dev

## konsole 4.8.2

=== debian/changelog ===
konsole (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 02 Apr 2012 18:49:48 +0200

konsole (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 20:39:13 +0100

konsole (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:32 +0000

konsole (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:30 +0000

konsole (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 20:44:01 +0100

konsole (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Dec 2011 13:14:43 +0000

konsole (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian Git, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:47:03 +0000

konsole (4:4.7.2-0r1) UNRELEASED; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

 -- Eshat Cakar <info@eshat.de>  Tue, 04 Oct 2011 17:46:40 +0200

konsole (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream release (LP: #872506)

  [ Philip Muškovac ]
  * Add libx11-dev to build-deps so XKB is found. 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 18 Oct 2011 07:28:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: konsole
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
  Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7), libphonon-dev (>= 4:4.3.0),
- libxkbfile-dev
+ kdelibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.3.0),
+ libxkbfile-dev, libkonq5-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/konsole.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/konsole.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/konsole.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/konsole.git
 
 Package: konsole
 Architecture: any

## konsole 4.8.4

=== debian/changelog ===
konsole (4:4.8.4-2) unstable; urgency=low

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * konsole-dbg now recommends kdelibs5-dbg.

  [ Pino Toscano ]
  * Backport upstream commit e48cee6cca742a5bdb3daf6fa0b7c76073217faa to avoid
    looking up executables when an absolute path is specified; patch
    upstream_No-need-to-lookup-executable-PATH-when-absolute-path.patch.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Dec 2012 13:18:32 +0100

konsole (4:4.8.4-1) unstable; urgency=low

  * New upstream release.
  * Team upload.

  [ Eshat Cakar ]
  * Add watch file.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.4.
  * Fix lintian maintainer-script-without-set-e message.

  [ José Manuel Santamaría Lema ]
  * Add one_profile_per_window.diff, this allows one to open new tabs
    with ctrl+shift+t in a remote shell.

 -- Modestas Vainius <modax@debian.org>  Sun, 10 Jun 2012 15:13:29 +0300

konsole (4:4.8.3-1) experimental; urgency=low

  * New upstream release:
    - konsole does not require a restart to use newly installed fonts.
      (Closes: #457218)
    - konsole does not fail to draw bright colors in screen when TERM is set
      to xterm-256colors. (Closes: #531752)
    - "Show in menu" works even with languages than English. (Closes: #576148)
    - konsole correctly sets the number of terminal lines and columns.
      (Closes: #606617)
  * Team upload.

  [ Eshat Cakar ]
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.

  [ Modestas Vainius ]
  * Add myself to Uploaders.

 -- Modestas Vainius <modax@debian.org>  Sun, 27 May 2012 15:44:15 +0300

=== debian/control ===
Source: konsole
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
 Eshat Cakar <info@eshat.de>,
 Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8), libkonq5-dev (>=4:4.8), libphonon-dev (>= 4:4.3.0),
 libxkbfile-dev
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/konsole.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/konsole.git

Package: konsole
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-terminal-emulator
Description: X terminal emulator
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package is part of the KDE base applications module.

Package: konsole-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, konsole (= ${binary:Version})
Breaks: kdebase-dbg (<< 4:4.6.80)
Replaces: kdebase-dbg (<< 4:4.6.80)
Recommends: kdelibs5-dbg
Description: debugging symbols for the KDE X terminal emulator
 This package contains debugging files used to investigate problems with
 binaries included in the KDE X terminal emulator.

## konsole 4.8.5

=== debian/changelog ===
konsole (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:51:37 +0200

konsole (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:39:59 +0200

konsole (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 20:46:30 +0200

=== debian/control ===
Source: konsole
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
 Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.3.0),
 libxkbfile-dev, libkonq5-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/konsole.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/konsole.git

Package: konsole
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-terminal-emulator
Description: X terminal emulator
 Konsole is a terminal emulator built on the KDE Platform. It can contain
 multiple terminal sessions inside one window using detachable tabs.
 .
 Konsole supports powerful terminal features, such as customizable schemes,
 saved sessions, and output monitoring.
 .
 This package is part of the KDE base applications module.

Package: konsole-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, konsole (= ${binary:Version})
Breaks: kdebase-dbg (<< 4:4.6.80)
Replaces: kdebase-dbg (<< 4:4.6.80)
Description: debugging symbols for the KDE X terminal emulator
 This package contains debugging files used to investigate problems with
 binaries included in the KDE X terminal emulator.

## konsole 4.9.2

=== debian/changelog ===
konsole (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:30:51 +0100

konsole (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:35:48 +0530

konsole (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:29:34 +0100

konsole (4:4.8.90-0ubuntu2) quantal; urgency=low

  * Backport Git commit ed31a8b0aa6fcd45177202a60db7167e2498c80f from master
    (to be KDE SC 4.10)
    - Adds a GUI checkbox per profile to enable/disable requiring the
      CTRL key to drag-n-drop text.
      The default is to require the CTRL key as before.

 -- Scott Kitterman <scott@kitterman.com>  Fri, 06 Jul 2012 17:21:45 -0400

konsole (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:34:57 +0200

konsole (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 14:29:24 +0100

konsole (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 20:46:30 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
  Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.3.0),
- libxkbfile-dev, libkonq5-dev
+ kdelibs5-dev (>= 4:4.9.2), libphonon-dev (>= 4:4.3.0),
+ libxkbfile-dev, libkonq5-dev (>= 4:4.9.2)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole

## konsole 4.9.4

=== debian/changelog ===
konsole (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:59:56 +0100

konsole (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:38:59 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2), libphonon-dev (>= 4:4.3.0),
- libxkbfile-dev, libkonq5-dev (>= 4:4.9.2)
+ kdelibs5-dev (>= 4:4.9.4), libphonon-dev (>= 4:4.3.0),
+ libxkbfile-dev, libkonq5-dev (>= 4:4.9.4)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole

## konsole 4.9.5

=== debian/changelog ===
konsole (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:39:58 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.4), libphonon-dev (>= 4:4.3.0),
+ kdelibs5-dev (>= 4:4.9.5), libphonon-dev (>= 4:4.3.0),
  libxkbfile-dev, libkonq5-dev (>= 4:4.9.4)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/

## konsole 4.10.0

=== debian/changelog ===
konsole (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Update konsole.install and sort it

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:00:15 +0000

konsole (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:48:29 +0000

konsole (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:40:13 +0100

konsole (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:36:34 +0000

konsole (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:02:30 +0000

konsole (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release
  * Remove ControlDragSettings.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:01:56 +0000

konsole (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:39:18 +0100

konsole (4:4.7.2-0r1) raring; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

 -- Eshat Cakar <info@eshat.de>  Tue, 04 Oct 2011 17:46:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.5), libphonon-dev (>= 4:4.3.0),
- libxkbfile-dev, libkonq5-dev (>= 4:4.9.4)
+ kdelibs5-dev (>= 4:4.10.0), libphonon-dev (>= 4:4.3.0),
+ libxkbfile-dev, libkonq5-dev (>= 4:4.10.0)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole

## konsole 4.10.2

=== debian/changelog ===
konsole (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:54:08 +0200

konsole (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:35:14 +0000

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0), libphonon-dev (>= 4:4.3.0),
- libxkbfile-dev, libkonq5-dev (>= 4:4.10.0)
+ kdelibs5-dev (>= 4:4.10.2), libphonon-dev (>= 4:4.3.0),
+ libxkbfile-dev, libkonq5-dev (>= 4:4.10.2)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole

## konsole 4.10.5

=== debian/changelog ===
konsole (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:44:10 +0200

konsole (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:34:36 +0200

konsole (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:14:53 +0200

konsole (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:54:08 +0200

konsole (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:35:14 +0000

konsole (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Update konsole.install and sort it

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:00:15 +0000

konsole (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:48:29 +0000

konsole (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:40:13 +0100

konsole (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:36:34 +0000

konsole (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:02:30 +0000

konsole (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * Remove ControlDragSettings.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:01:56 +0000

konsole (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:39:18 +0100

konsole (4:4.7.2-0r1) raring-proposed; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

 -- Eshat Cakar <info@eshat.de>  Tue, 04 Oct 2011 17:46:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2), libphonon-dev (>= 4:4.3.0),
- libxkbfile-dev, libkonq5-dev (>= 4:4.10.2)
+ kdelibs5-dev (>= 4:4.10.5), libphonon-dev (>= 4:4.3.0),
+ libxkbfile-dev, libkonq5-dev (>= 4:4.10.5)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole

## konsole 4.11.2

=== debian/changelog ===
konsole (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:34:02 +0100

konsole (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:28:16 +0100

konsole (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:23:37 +0100

konsole (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:44:40 +0100

konsole (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:50 +0000

konsole (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Michał Zając ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Add doc picture to konsole.install 

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:19:44 +0100

konsole (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Refresh debian-T-addition.diff 
  * Update konsole.install 

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:28:57 +0100

konsole (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:39:06 +0100

konsole (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:49 +0000

konsole (4:4.10.2-2) experimental; urgency=low

  * Fixup uploaders field

 -- Sune Vuorela <sune@debian.org>  Thu, 04 Apr 2013 07:13:22 +0000

konsole (4:4.10.2-1) experimental; urgency=low

  * New upstream release.
    - Fixes homedir fallback. (Closes: #586030)

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to version 4:4.10.1.
  * Update patches:
    - drop one_profile_per_window.diff, problem solved upstream.
    - drop upstream_No-need-to-lookup-executable-PATH-when-absolute-path.patch,
      no longer needed.
    - refresh debian-T-addition.diff.
  * Update installed files.
  * Add a lintian override for no-symbols-control-file.

  [ Josep Febrer ]
  * Refresh patch debian-T-addition.diff.
  * Bump kdelibs5-dev and libkonq5-dev to 4:4.10.
  * Update installed files.
  * Pass -DKDE4_BUILD_TESTS=false to cmake in order to keep the tests disabled.

  [ Sune Vuorela ]
  * Update uploaders

 -- Sune Vuorela <sune@debian.org>  Wed, 03 Apr 2013 18:25:01 +0000

konsole (4:4.8.4-3) unstable; urgency=low

  * Team upload.

  [ Maximiliano Curia ]
  * Reduces vertical misalignment (Closes: #672554)
    - Add drawText-alignBottom.diff, this adds alignBottom flag to the
      bidirectional renderer.
    - Add avoid-lineSpacing.diff, this reverts the added linespacing for the
      unidirectional renderer.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 19 Feb 2013 12:44:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>,
- Eshat Cakar <info@eshat.de>
-Build-Depends: 
+Uploaders: Sune Vuorela <sune@debian.org>,
+ Eshat Cakar <info@eshat.de>,
+ Modestas Vainius <modax@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.5), libphonon-dev (>= 4:4.3.0),
- libxkbfile-dev, libkonq5-dev (>= 4:4.10.5)
-Standards-Version: 3.9.2
+ kdelibs5-dev (>= 4:4.11.2), libkonq5-dev (>= 4:4.11.2), libphonon-dev (>= 4:4.3.0),
+ libxkbfile-dev
+Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
@@ -36,6 +37,7 @@
 Depends: ${misc:Depends}, konsole (= ${binary:Version})
 Breaks: kdebase-dbg (<< 4:4.6.80)
 Replaces: kdebase-dbg (<< 4:4.6.80)
+Recommends: kdelibs5-dbg
 Description: debugging symbols for the KDE X terminal emulator
  This package contains debugging files used to investigate problems with
  binaries included in the KDE X terminal emulator.

## konsole 4.11.3

=== debian/changelog ===
konsole (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 15:57:22 +0000

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  Modestas Vainius <modax@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2), libkonq5-dev (>= 4:4.11.2), libphonon-dev (>= 4:4.3.0),
+ kdelibs5-dev (>= 4:4.11.3), libkonq5-dev (>= 4:4.11.3), libphonon-dev (>= 4:4.3.0),
  libxkbfile-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole-13.10
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/konsole.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/konsole.git

## konsole 4.12.3

=== debian/changelog ===
konsole (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:43:06 +0100

konsole (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 21:00:34 +0100

konsole (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:09:10 +0000

konsole (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:24:58 +0000

konsole (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:18:28 +0000

konsole (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:18:45 +0000

konsole (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:16:08 +0100

konsole (4:4.11.80-0ubuntu1) trusty; urgency=low

  [ Rohan Garg ]
  * New upstream beta release

  [ Jacky Alciné ]
  * Update konsole.install with missing color scheme.

 -- Jacky Alciné <me@jalcine.me>  Sat, 23 Nov 2013 17:46:20 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  Modestas Vainius <modax@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.3), libkonq5-dev (>= 4:4.11.3), libphonon-dev (>= 4:4.3.0),
+ kdelibs5-dev (>= 4:4.12.3), libkonq5-dev (>= 4:4.12.3), libphonon-dev (>= 4:4.3.0),
  libxkbfile-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konsole
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/konsole.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/konsole.git

## konsole 4.13.0

=== doc/manual/CMakeLists.txt ===
########### install files ###############

kde4_create_handbook(index.docbook
                     INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en
                     SUBDIR konsole)

=== debian/changelog ===
konsole (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:10:34 +0100

konsole (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:35:18 +0200

konsole (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:36:42 +0100

konsole (4:4.12.90-0ubuntu1) trusty; urgency=medium

  [ Rohan Garg ]
  * Update install file

  [ Jonathan Riddell ]
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:07:26 +0000

konsole (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:57:08 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Modestas Vainius <modax@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3), libkonq5-dev (>= 4:4.12.3), libphonon-dev (>= 4:4.3.0),
+ kdelibs5-dev (>= 4:4.13.0), libkonq5-dev (>= 4:4.13.0), libphonon-dev (>= 4:4.3.0),
  libxkbfile-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

## konsole 4.13.3

=== src/tests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
include_directories(${KDE4_KPTY_INCLUDES}
                   ${KDE4_KPARTS_INCLUDES}
                   ${QT_QTTEST_INCLUDES})

set(KONSOLE_TEST_LIBS ${QT_QTTEST_LIBRARY} konsoleprivate)

## If it's interactive, it shouldn't use kde4_add_unit_test,
##  since make test is supposed to be fully automated.

if(NOT WIN32)
kde4_add_executable(PartManualTest TEST PartManualTest.cpp)
target_link_libraries(PartManualTest ${KDE4_KPARTS_LIBS}
                               ${KDE4_KPTY_LIBS}
                               ${KONSOLE_TEST_LIBS})
endif()

kde4_add_unit_test(CharacterColorTest CharacterColorTest.cpp)
target_link_libraries(CharacterColorTest ${KONSOLE_TEST_LIBS})

if (NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    kde4_add_unit_test(DBusTest DBusTest.cpp)
    target_link_libraries(DBusTest ${KONSOLE_TEST_LIBS})
endif()

kde4_add_unit_test(HistoryTest HistoryTest.cpp ../History.cpp)
set_target_properties(HistoryTest PROPERTIES COMPILE_FLAGS -DKONSOLEPRIVATE_EXPORT=)
target_link_libraries(HistoryTest ${KONSOLE_TEST_LIBS})


kde4_add_unit_test(KeyboardTranslatorTest KeyboardTranslatorTest.cpp ../KeyboardTranslator.cpp)
set_target_properties(KeyboardTranslatorTest PROPERTIES COMPILE_FLAGS -DKONSOLEPRIVATE_EXPORT=)
target_link_libraries(KeyboardTranslatorTest ${KONSOLE_TEST_LIBS})

if (NOT ${CMAKE_SYSTEM_NAME} MATCHES "Darwin" AND NOT WIN32)
    kde4_add_unit_test(PartTest PartTest.cpp)
    target_link_libraries(PartTest ${KDE4_KPARTS_LIBS}
                               ${KDE4_KPTY_LIBS}
                               ${KONSOLE_TEST_LIBS})
endif()

kde4_add_unit_test(ProfileTest ProfileTest.cpp)
target_link_libraries(ProfileTest ${KONSOLE_TEST_LIBS})

if(NOT WIN32)
kde4_add_unit_test(PtyTest PtyTest.cpp)
target_link_libraries(PtyTest ${KDE4_KPTY_LIBS} ${KONSOLE_TEST_LIBS})
endif()

kde4_add_unit_test(SessionTest SessionTest.cpp)
target_link_libraries(SessionTest ${KONSOLE_TEST_LIBS})

##kde4_add_unit_test(SessionManagerTest SessionManagerTest.cpp)
##target_link_libraries(SessionManagerTest ${KONSOLE_TEST_LIBS})

kde4_add_unit_test(ShellCommandTest ShellCommandTest.cpp)
target_link_libraries(ShellCommandTest ${KONSOLE_TEST_LIBS})

kde4_add_unit_test(TerminalCharacterDecoderTest
                  TerminalCharacterDecoderTest.cpp)
target_link_libraries(TerminalCharacterDecoderTest ${KONSOLE_TEST_LIBS})

kde4_add_unit_test(TerminalTest TerminalTest.cpp)
target_link_libraries(TerminalTest ${KONSOLE_TEST_LIBS})

kde4_add_unit_test(TerminalInterfaceTest TerminalInterfaceTest.cpp)
target_link_libraries(TerminalInterfaceTest
                      ${KDE4_KPARTS_LIBS}
                      ${KDE4_KPTY_LIBS}
                      ${KONSOLE_TEST_LIBS})

=== debian/changelog ===
konsole (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:32:05 +0200

konsole (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:50:47 +0200

konsole (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:53:19 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Modestas Vainius <modax@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.1),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0), libkonq5-dev (>= 4:4.13.0), libphonon-dev (>= 4:4.3.0),
+ kdelibs5-dev (>= 4:4.13.3), libkonq5-dev (>= 4:4.13.3), libphonon-dev (>= 4:4.3.0),
  libxkbfile-dev
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
+
+override_dh_auto_configure:
+	$(overridden_command) -- -DKDE4_BUILD_TESTS=false
 
 .PHONY: override_dh_auto_test

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/konsole-([\d\.]*).tar.xz
